Redmine - Defect #5111

Issue context menu does nothing
2010-03-17 22:54 - Michaelian Ennis

Status: Closed Start date: 2010-03-17
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Running on either safari or chrome on Snow Leopard, the context menu appears to be functioning but selections made there have no
effect on issues.

redmine 0.9.14
Safari 4.0.5 (6531.22.7)
Chrome 5.0.307.11

Here | set a bug priority to "Moderate Can work around”. Though I've sterilized the info here the authenticity_tokens all matched.

Processing IssuesController#context_menu (for 0.0.0.0 at 2010-03-17 17:42:16) [POST]

Parameters: {"back_url"=>"/projects/redmine/issues", "ids"=>["138"], "action"=>"context_menu",
"authenticity_token"=>"XXXXXXXXX XXX XXX XXX XXX XXX XXX XXX XXXXXXXX=", "controller"=>"issues", "_"=>""}
Rendering issues/context_menu

Completed in 75ms (View: 52, DB: 5) | 200 OK [https://hostname.domain.net/issues/context_menu]

Processing IssuesController#bulk_edit (for 0.0.0.0 at 2010-03-17 17:42:40) [POST]

Parameters: {"back_url"=>"/projects/redmine/issues", "ids"=>["138"], "priority_id"=>"5", "action"=>"bulk_edit",
"authenticity_token"=>"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX=", "controller"=>"issues"}

Redirected to https://hostname.domain.net:8443/projects/redmine/issues

Completed in 27ms (DB: 5) | 302 Found [
https://hostname.domain.net/issues/bulk_edit?back_url=%2Fprojects%2Fredmine%2Fissues&ids%5B%5D=138&priority_id=5]

Processing IssuesController#index (for 0.0.0.0 at 2010-03-17 17:42:40) [GET]
Parameters: {"project_id"=>"redmine", "action"=>"index", "controller"=>"issues"}
Rendering template within layouts/base

Rendering issues/index.rhtml

Completed in 237ms (View: 215, DB: 4) | 200 OK [https://hostname.domain.net/projects/redmine/issues]

Doing this manually seems to work:

Processing IssuesController#update (for 0.0.0.0 at 2010-03-17 17:47:01) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"13", "hours"=>""}, "commit"=>"Submit", "notes"=>"",
"action"=>"update", "_method"=>"put", "authenticity_token"=>"XXXXXXXXXXXXXXXXXXXXXXXX XXX XXX XXX XXX XX =",
"id"=>"138", "issue"=>{"start_date"=>"2010-03-17", "custom_field_values"=>{"1"=>"0.9.4"}, "estimated_hours"=>"", "priority_id"=>"5",
"lock_version"=>"1", "done_ratio"=>"0", "assigned_to_id"=>"4", "subject"=>"Context menu does nothing", "tracker_id"=>"1",
"due_date"=>"", "status_id"=>"1", "description"=>"Alternate clicking on items brings up a context menus that appears to be
disconnected from what it is supposed to control."}, "note"=>{"question_assigned_to"=>""}, "controller"=>"issues",
"attachments"=>{"1"=>{"description"=>""}}}

Sending email notification to:

Redirected to https://hostname.domain.net:8443/issues/138

Completed in 219ms (DB: 34) | 302 Found [https://hostname.domain.net/issues/138/edit]

Processing IssuesController#show (for 0.0.0.0 at 2010-03-17 17:47:02) [GET]
Parameters: {"action"=>"show", "id"=>"138", "controller'=>"issues"}
Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 120ms (View: 92, DB: 6) | 200 OK [https://hostname.domain.net/issues/138]
#1 - 2010-03-17 23:15 - Jean-Philippe Lang

| don't know what Redmine 0.9.14 is exactly but the context menu was broken by r3478 and fixed in r3521.
So if you're using trunk, upgrade as appropriate and it should work fine.

#2 - 2010-03-18 00:15 - Michaelian Ennis

Thanks, the redmine version was 3487, | don't know why | thought it was 0.9.14 anymore. 3600 fixed this problem but now | am getting a 500 when
changing issues. The log says ActionView::TemplateError (undefined local variable or method “issue' for #<ActionView::Base:0x107304208>) on line
#14 of app/views/issues/_history.rhtml . I'll ask around before opening an issue on that.

#3 - 2010-03-18 20:26 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

OK, thanks for the feedback. See my reply on #5113 for the last problem.
